#include <R.h>
#include <Rinternals.h>

extern "C" {

SEXP mkans(double x)    
{    
  SEXP ans;
  PROTECT(ans = allocVector(REALSXP, 1));
  REAL(ans)[0] = x;
  UNPROTECT(1);
  return ans;
}

double feval(double x, SEXP f, SEXP rho)
{
  defineVar(install("x"), mkans(x), rho);
  return(REAL(eval(f, rho))[0]);
}

SEXP myfun(SEXP f, SEXP rho)
{
  double x = 7.0;
  double result = feval(x, f, rho);
  return(mkans(result));
}

}
