library(inline)

# using a built-in R function
src <- '
Function rt("rt");
return(rt(as<int>(n), 1));
'

fun <- cxxfunction(signature(n="integer"), src, plugin = "Rcpp")

set.seed(0)
rt(5, 1)

set.seed(0)
fun(5)

# using a user-defined function
myprodR = function(a, b)
  return(a*b)

src <- '
Function myprodC("myprodR");
return(myprodC(3,5));
'

fun <- cxxfunction(signature(), src, plugin = "Rcpp")
fun()
