\name{R2}
\alias{R2}
\title{Calculate test R^2 and RMSE for predictions}
\usage{
  R2(vals, preds)
}
\arguments{
  \item{vals}{vector of observations}

  \item{preds}{vector of corresponding predictions}
}
\value{
  vector of two values: R^2 and RMSE
}
\description{
  Based on vector of predictions and a vector of test
  observations, this function calculates the R^2 and RMSE
  of the predictions.
}
\examples{
R2(rnorm(10), rnorm(10))
}

