#include <Rmath.h>
#include <R.h>

extern "C" {
  void genRandN (int* size, double* x, double* dens) {
    // double x = new double[size];
    GetRNGstate();
    for(int it = 0; it < *size; it++){
      x[it] = rnorm(1.0, 3.0);
      dens[it] = dnorm(x[it], 1.0, 3.0, 0);
    }
    PutRNGstate();
  }
}
