library(inline)

src <- '
NumericVector x1(xs);
NumericVector x2(xs);
NumericVector x3(clone(xs));
x1[0] = 22;
x3[1] = 44;
return(DataFrame::create(Named("orig", xs),
Named("x1", x1),
Named("x2", x2),
Named("x3", x3)));'

fun <- cxxfunction(signature(xs="numeric"), src, plugin = 'Rcpp')

df = fun(c(1,2,3))
df
class(df)

# why is this different?
fun(1:3)

