library(inline)

### here's a really silly example of working with lists
src <- '
List inputs(inp);
std::string method = as<std::string>(inputs["method"]);
double tol = as<double>(inputs["tol"]);
int nIts = as<int>(inputs["nIts"]);
return(List::create(Named("methodX", method),
Named("tolX", tol),
Named("nItsX", nIts)));
'

fun <- cxxfunction(signature(inp = "list"), src, plugin="Rcpp")

myList = list(method = "BFGS", tol = 1e-6, nIts = 100)

fun(myList)



