#include "RcppExample.h"

// export PKG_CPPFLAGS=`Rscript -e 'Rcpp:::CxxFlags()'`
// export PKG_LIBS=`Rscript -e 'Rcpp:::LdFlags()'`
// R CMD SHLIB RcppExample.cpp

RcppExport SEXP expC(SEXP nIn, SEXP xIn) {
  using namespace Rcpp;
  int n = as<int>(nIn);
  NumericVector x(xIn); 
  
  for (int i = 0; i < *n; i++) {
    x[i] = exp(x[i]);
  }
  return(x);
}
