\name{pmap2}
\alias{pmap2}
\title{Makes a map with color of points indicating magnitude of values}
\usage{
  pmap2(y, x, xlab = "", ylab = "", col = tim.colors(32),
    zlim = NULL, shrink = 0.9, cex = 0.7, pch = 19, ...)
}
\arguments{
  \item{y}{vector of values}

  \item{x}{two-column matrix of locations in Euclidean
  space}
}
\description{
  Based on a set of locations and a vector of corresponding
  values, this makes a color-coded map, with legend,
  showing the size of the values
}
\examples{
pmap2(pm$pm, cbind(pm$LONGITUD, pm$LATITUDE))
if(require(maps))
   map('state', add = TRUE)
}

