n = 100
vec = rep(0, n)
xdens = rep(0, n)

# system("R CMD SHLIB rnorm.cpp") # commented out so I can compile manually to take out -O3 flag for use with gdb
system("g++ -I/usr/share/R/include -DNDEBUG -fpic -pipe  -g  -c rnorm.cpp -o rnorm.o") # note no "-O3" compiler optimization flag
system("g++ -shared -o rnorm.so rnorm.o -L/usr/lib/R/lib -lR")


dyn.load('rnorm.so')

set.seed(0)
out = .C('genRandN', size = as.integer(n), x = vec, dens = xdens)

out$x
out$dens
dnorm(out$x, 1, 3)

set.seed(0)
rnorm(100,1,3)
